function s = congsuat(S1,S2,z1,z2,z12,zb1,zb2,Pfe1,Pfe2,Qfe1,Qfe2,Qc1,Qc2,Qc12,K)
%luu y: nhap gia tri S va z la so phuc va Qc1 ... la phan ao cua so phuc
%tuong ung tinh cho mach vong N-5-6, nut 5 ung voi nut 1 va nut 6 ung voi nut 2
disp('Cong suat tai cac nut')

rb1=real(zb1);
xb1=imag(zb1);
rb2=real(zb2);
xb2=imag(zb2);

disp('Ton that MBA T1')
ttPb1=((real(S1))^2 + (imag(S1)^2))*rb1/(110^2)
ttQb1=((real(S1))^2 + (imag(S1)^2))*xb1/(110^2)
disp('Ton that MBA T2')
ttPb2=((real(S2))^2 + (imag(S2)^2))*rb2/(110^2)
ttQb2=((real(S2))^2 + (imag(S2)^2))*xb2/(110^2)

disp('Cong suat dau tong tro MBA')
Sb1=S1+ttPb1+(ttQb1)*i
Sb2=S2+ttPb2+(ttQb2)*i

disp('Cong suat vao MBA')
S1b=S1+ttPb1+Pfe1+(ttQb1)*i+Qfe1
S2b=S2+ttPb2+Pfe2+(ttQb2)*i+Qfe2

disp('Cong suat tinh toan tai cac nut')
s1=S1b-Qc1-Qc12
s2=S2b-Qc2-Qc12

Sn1=(conj(s1)*(z12+z2)+conj(s2)*z2)/(z1+z2+z12);
Sn2=(conj(s2)*(z12+z1)+conj(s1)*z1)/(z1+z2+z12);
disp('Cong suat chay tren cac duong day')
Sn1=conj(Sn1)
Sn2=conj(Sn2)
S12=Sn1-s1
S12thu=s2-Sn2
disp('kiem tra')
dung = Sn1+Sn2-s1-s2
r1=real(z1);
x1=imag(z1);
r2=real(z2);
x2=imag(z2);
r12=real(z12);
x12=imag(z12);

disp('Coi s2 phan thanh 2 phu tai S2 va S12 ')
S2phanra=Sn2+S12

disp('xet doan N-2')
disp('Ton that tren doan N-2 hoac N-6')
ttP2=((real(Sn2))^2 + (imag(Sn2)^2))*r2/(110^2)
ttQ2=((real(Sn2))^2 + (imag(Sn2)^2))*x2/(110^2)
disp('Cong suat dau tong tro Zn2')
Sn_2d=Sn2+ttP2+(ttQ2)*i
disp('Cong suat tai dau nguon N-2')
Sn_2=Sn2+ttP2+(ttQ2)*i-Qc2

disp('xet doan N-1-2')
disp('Ton that tren doan 1-2 hoac 5-6')
ttP12=((real(S12))^2 + (imag(S12)^2))*r12/(110^2)
ttQ12=((real(S12))^2 + (imag(S12)^2))*x12/(110^2)

disp('Cong suat dau tong tro Z12')
S12d=S12+ttP12+(ttQ12)*i

disp('Cong suat tinh toan chay tren Zn1')
S_chayZn1=S12+ttP12+(ttQ12)*i+s1
disp('Ton that tren doan N-1 hoac N-5')
ttP1=((real(S_chayZn1))^2 + (imag(S_chayZn1)^2))*r1/(110^2)
ttQ1=((real(S_chayZn1))^2 + (imag(S_chayZn1)^2))*x1/(110^2)

disp('Cong suat dau tong tro Zn1')
Sn_1d=S_chayZn1+ttP1+(ttQ1)*i
disp('Cong suat tai dau nguon N-1')
Sn_1=S_chayZn1+ttP1+(ttQ1)*i-Qc1

disp('Qua trinh tinh thuan')
disp('Ton that dien ap tren doan N-2')
ttUn2=(real(Sn_2d)*r2+imag(Sn_2d)*x2)/(K*110)
disp('dien ap phia ben trai nut 2')
U2t=K*110-ttUn2

disp('Ton that dien ap tren doan N-1')
ttUn1=(real(Sn_1d)*r1+imag(Sn_1d)*x1)/(K*110)
disp('dien ap tai nut 1')
U1=K*110-ttUn1
disp('Ton that dien ap tren doan 1-2')
ttU12=(real(S12d)*r12+imag(S12d)*x12)/(K*110)
disp('dien ap phia ben phai nut 2')
U2p=U1-ttU12
U2tb=(U2t+U2p)/2

disp('Tinh dien ap phia thu cap MBA qui doi ve cao ap')
disp('Ton that dien ap MBT')
ttUb1=(real(Sb1)*rb1+imag(Sb1)*xb1)/U1
ttUb2=(real(Sb2)*rb2+imag(Sb2)*xb2)/U2tb
disp('Dien ap qui doi ve phia cao')
Uha1quidoi=U1-ttUb1
Uha2quidoi=U2tb-ttUb2
disp('Ty so bien ap')
disp('chon Ukt,ha 1.1Udm,ha')
Uhadm=22
Uktha=1.1*Uhadm
Upacao=115
k=Upacao/Uktha
disp('Dien ap phia thu cap - Uha')
Uha1=Uha1quidoi/k
Uha2=Uha2quidoi/k
disp(' Do lech dien ap phia thu cap')
dolechUha1=(Uha1-Uhadm)*100/Uhadm
dolechUha2=(Uha2-Uhadm)*100/Uhadm


